<?php
/**
* J51_LayerSlideshow
* Version		: 1.1
* Created by	: Joomla51
* Email			: info@joomla51.com
* URL			: www.joomla51.com
* License GPLv2.0 - http://www.gnu.org/licenses/gpl-2.0.html
*/

// no direct access
defined('_JEXEC') or die('Restricted access');

$document->addStyleSheet (JURI::base() . 'modules/mod_j51layerslideshow/css/style.css');

$document->addStyleDeclaration('
    .layerslideshow'.$j51_moduleid.' .layerslideshow-title {
        color:' . $j51_title_color . ';
    }
    .layerslideshow'.$j51_moduleid.' .layerslideshow-caption {
        color:' . $j51_text_color . ';
    }
    .layerslideshow' . $j51_moduleid . ', .layerslideshow .img-fill {
        max-height: ' . $j51_max_height . 'px;
    }
    .layerslideshow' . $j51_moduleid . ' .info-wrapper,
    .layerslideshow .NextArrow,
    .layerslideshow .PrevArrow {
        background-color: ' . $j51_text_bg_color . ';
    }
    @media only screen and (max-width: ' . $j51_title_breakpoint . 'px) {
        .layerslideshow'.$j51_moduleid.' .layerslideshow-title {display: none;}
    }
    @media only screen and (max-width: ' . $j51_caption_breakpoint . 'px) {
        .layerslideshow'.$j51_moduleid.' .layerslideshow-caption {display: none;}
    }
}
');

	echo '<div class="layerslideshow layerslideshow'.$j51_moduleid.'" style="max-height: '.$j51_max_height.'">';
    if(!empty($j51slideimages)) {
        foreach ($j51slideimages as $item) {
            echo '<div class="item item-align-'.$item->j51_slidetextalign.'">';
            echo '<div class="img-fill">';
            echo '<img src="'.$item->j51_slideimage.'" alt="'.$item->j51_slidetitle.'">';
            if (!empty($item->j51_slidetitle) || !empty($item->j51_slidecaption)) {
                echo '<div class="info wrapper960">';
                    echo '<div class="info-wrapper" style="max-width: ' . $item->j51_slidetextwidth . 'px;">';
                    if (!empty($item->j51_slidetitle)) {
                        echo '<div class="layerslideshow-title-container">';
                        echo '<h2 class="layerslideshow-title">';
                        echo $item->j51_slidetitle;
                        echo '</h2>';
                        echo '</div>';
                    }
                    if (!empty($item->j51_slidecaption)) {
                        echo '<div class="layerslideshow-caption">';
                        echo $item->j51_slidecaption;
                        echo '</div>';
                    }
                    echo '</div>';
                echo '</div>';
            }
            if (!empty($item->j51_slidelink)) {
                echo '<a href="'.$item->j51_slidelink.'" class="slidelink"></a>';
            }
            echo '</div></div>';
        } 
    } 
    echo '</div>';
?>

<?php $document->addScript('modules/mod_j51layerslideshow/js/slick.min.js', 'text/javascript'); ?>
<script type="text/javascript">
jQuery(document).ready(function() {
     
    jQuery(".layerslideshow").slick({
        autoplay:true,
        autoplaySpeed:<?php echo $autoplaySpeed; ?>,
        speed:<?php echo $speed; ?>,
        slidesToShow:1,
        slidesToScroll:1,
        pauseOnHover:false,
        dots:false,
        pauseOnDotsHover:true,
        cssEase:'linear',
        fade:true,
        draggable:false,
        prevArrow:'<button class="PrevArrow"></button>',
        nextArrow:'<button class="NextArrow"></button>',
    });
     
 });

</script>
