<?php
/**
 * @package		Joomla.Site
 * @subpackage	mod_menu
 * @copyright	Copyright (C) 2005 - 2012 Open Source Matters, Inc. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 */

// No direct access.
defined('_JEXEC') or die;

// Note. It is important to remove spaces between elements.
$class = $item->anchor_css ? 'class="'.$item->anchor_css.'" ' : '';
$title = $item->anchor_title ? 'title="'.$item->anchor_title.'" ' : '';
if ($item->menu_image) {
		$item->params->get('menu_text', 1 ) ?
		$linktype = '<img src="'.$item->menu_image.'" alt="'.$item->title.'" /><span class="image-title">'.$item->title.'</span> ' :
		$linktype = '<img src="'.$item->menu_image.'" alt="'.$item->title.'" />';
}
else { $linktype = $item->title;
}

if (strpos($item->title, 'menumod') === 0) {
?><jdoc:include type="modules" name="<?php echo $item->title; ?>"  style="mod_standard"/>
<?php }
else { ?>
<a <?php echo $class; ?>>
<?php echo $title; ?><?php echo $linktype; ?>
<?php if ($item->parent) {
	echo '<span class="parent-indicator" aria-hidden="true"></span>';
} ?>
</a>
<?php } ?>
